sc::TranslateDataOut(3)

NAME
sc::TranslateDataOut - Convert data to other formats.

SYNOPSIS

#include <translate.h>

  Public Methods
TranslateDataOut (StateOut *s, TranslateData *t)
Write to s using the translation defined by t.
virtual ~TranslateDataOut ()
virtual int put (const char *, int)
Translate and write the data.
virtual int put (const short *, int)
virtual int put (const unsigned int *, int)
virtual int put (const int *, int)
virtual int put (const long *, int)
virtual int put (const float *, int)
virtual int put (const double *, int)
TranslateData * translator ()
Returns the translator.

  Protected Methods
int putv (const void *d, int s)

DETAILED DESCRIPTION

Convert data to other formats.

The generated data is inserted into a StateOut object.

CONSTRUCTOR & DESTRUCTOR DOCUMENTATION

  sc::TranslateDataOut::TranslateDataOut (StateOut * s, TranslateData * t)

Write to s using the translation defined by t.

The t argument will be deleted by this.

MEMBER FUNCTION DOCUMENTATION

  virtual int sc::TranslateDataOut::put (const char *, int) [virtual]

Translate and write the data.

A similar member exists for each basic type.

AUTHOR

Generated automatically by Doxygen for MPQC from the source code.